SENDER - the address belongs to the Partner. Requires ownershipDeclaration: true. receiverName is not used.PRIVATE_INDIVIDUAL - the address belongs to a natural person. Requires receiverName.BUSINESS - the address belongs to a company. Requires receiverName.memo is not accepted.curl --location 'http://k8s-partnera-partnera-7873f15634-69ebb7c047cac3d1.elb.eu-central-1.amazonaws.com/v1/partner/whitelisted-wallets' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"currency": "DOGE",
"network": "DOGE",
"walletAddress": "DC8T55QR88dYbYKjzCBYic8QJ7nhiaJRkx",
"walletType": "SELF_CUSTODY",
"ownerType": "PRIVATE_INDIVIDUAL",
"receiverName": "John Smith"
}'{
"id": "8cb28fd0-ba0e-445d-8851-13bf1fbfb11d",
"currency": "DOGE",
"network": "DOGE",
"walletAddress": "DC8T55QR88dYbYKjzCBYic8QJ7nhiaJRkx",
"memo": null,
"walletType": "SELF_CUSTODY",
"ownerType": "PRIVATE_INDIVIDUAL",
"receiverName": "John Smith",
"createdAt": "2026-10-05T13:24:10.512Z"
}